Name:           python-singledispatch
Version:        3.4.0.3
Release:        14
Summary:        Transform a method into a single-dispatch generic function
License:        MIT
URL:            https://pypi.org/project/singledispatch/
Source0:        https://pypi.python.org/packages/source/s/singledispatch/singledispatch-%{version}.tar.gz

BuildArch:      noarch

%description
PEP 443 proposed to expose a mechanism in the functools standard library module in Python 3.4
that provides a simple form of generic programming known as single-dispatch generic functions.
This library is a backport of this functionality to Python 2.6 - 3.3.

%package -n python2-singledispatch
Summary:        Transform a method into a single-dispatch generic function
%{?python_provide:%python_provide python2-singledispatch}
Provides:       python-singledispatch = %{version}-%{release}
Obsoletes:      python-singledispatch < 3.4.0.3-2

BuildRequires:  python2-devel python2-setuptools python2-six
Requires:       python2-six

%description -n python2-singledispatch
PEP 443 proposed to expose a mechanism in the functools standard library module in Python 3.4
that provides a simple form of generic programming known as single-dispatch generic functions.
This library is a backport of this functionality to Python 2.6 - 3.3.

%package -n python3-singledispatch
Summary:        Transform a method into a single-dispatch generic function
%{?python_provide:%python_provide python3-singledispatch}
BuildRequires:  python3-devel python3-setuptools python3-six
Requires:       python3-six

%description -n python3-singledispatch
PEP 443 proposed to expose a mechanism in the functools standard library module in Python 3.4
that provides a simple form of generic programming known as single-dispatch generic functions.
This library is a backport of this functionality to Python 2.6 - 3.3.

%prep
%autosetup -n singledispatch-%{version} -p1

sed -i '1d' singledispatch.py
sed -i '1d' singledispatch_helpers.py

%build
%{__python2} setup.py build
%{__python3} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
%{__python3} setup.py install --skip-build --root %{buildroot}

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-singledispatch
%doc README.rst
%{python2_sitelib}/singledispatch-%{version}-py?.?.egg-info
%{python2_sitelib}/singledispatch.py*
%{python2_sitelib}/singledispatch_helpers.py*

%files -n python3-singledispatch
%doc README.rst
%{python3_sitelib}/singledispatch-%{version}-py?.?.egg-info
%{python3_sitelib}/singledispatch.py*
%{python3_sitelib}/singledispatch_helpers.py*
%{python3_sitelib}/__pycache__/*

%changelog
* Tue Nov 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.1.11-2
- Package init


